<?php
require("connect.php");
require_once 'filter.php';

$typ = $_GET[typ];
$id = mysql_real_escape_string($_GET[id]);

echo '<HTML><HEAD><TITLE>Erfolg</TITLE></HEAD><BODY text="#000000" link="#6D2688" vlink="#000000" bgcolor="#abb6ef" bgproperties="fixed"><table width=100% height=80%><tr><td valign=center align=center color="#ffffff"><TABLE WIDTH=100% BORDER=0 NOBORDER><TR><td align=center><font face="Verdana,Geneva,Arial,Helvetica"><font size=2><br><br>';

if($typ == 'ok') {
	$row = mysql_fetch_array(mysql_query("SELECT `name` FROM `emailverify` WHERE `ok` = '".$id."'"));

	if($row[name] != '') {
		echo 'Die Verifizierung der Emailadresse war erfolgreich.';
		mysql_query("DELETE FROM `emailverify` WHERE `name` = '".$row[name]."'");
		mysql_query("UPDATE `accounts` SET `priviMessage` = '6' WHERE `name` = '".$row[name]."'");
	} else {
		echo 'Dieser Link hat kein gültiges Format. Er scheint durch ihr Emailprogramm oder bei der Übertragung der Email verändert worden zu sein. Die gewünschte Aktion kann deshalb nicht durchgeführt werden.';	
	}
} else if($typ == 'cancel') { 
	$row = mysql_fetch_array(mysql_query("SELECT `name` FROM `emailverify` WHERE `ok` = '".$id."'"));

	if($row[name] != '') {
		echo 'Du hast die Verifizierung der Emailadresse erfolgreich abgebrochen.';
		mysql_query("DELETE FROM `emailverify` WHERE `name` = '".$row[name]."'");
		mysql_query("UPDATE `accounts` SET `priviMessage` = '5' WHERE `name` = '".$row[name]."'");
	} else {
		echo 'Dieser Link hat kein gültiges Format. Er scheint durch ihr Emailprogramm oder bei der Übertragung der Email verändert worden zu sein. Die gewünschte Aktion kann deshalb nicht durchgeführt werden.';	
	}
} else {
	echo 'Dieser Link hat kein gültiges Format. Er scheint durch ihr Emailprogramm oder bei der Übertragung der Email verändert worden zu sein. Die gewünschte Aktion kann deshalb nicht durchgeführt werden.';
}


echo '<br><br></font></font></font></td></tR></TABLE></td></tr></table></body></html>';
?>